Bug 1026983 - [abrt] gdm-3.8.4-2.fc19: poll: Process /usr/sbin/gdm was killed by signal 6 (SIGABRT)
[abrt] gdm-3.8.4-2.fc19: poll: Process /usr/sbin/gdm was killed by signal 6 (...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
abrt_hash:e31572da804c9a9f0c9fe4e9d12...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-05 14:29 EST by Patrick MacArthur
Modified: 2015-02-17 14:04 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 14:04:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (10.70 KB, text/plain)
2013-11-05 14:29 EST, Patrick MacArthur
no flags Details
File: cgroup (153 bytes, text/plain)
2013-11-05 14:29 EST, Patrick MacArthur
no flags Details
File: core_backtrace (6.79 KB, text/plain)
2013-11-05 14:29 EST, Patrick MacArthur
no flags Details
File: dso_list (1.83 KB, text/plain)
2013-11-05 14:29 EST, Patrick MacArthur
no flags Details
File: environ (115 bytes, text/plain)
2013-11-05 14:29 EST, Patrick MacArthur
no flags Details
File: limits (1.29 KB, text/plain)
2013-11-05 14:29 EST, Patrick MacArthur
no flags Details
File: maps (9.49 KB, text/plain)
2013-11-05 14:29 EST, Patrick MacArthur
no flags Details
File: open_fds (454 bytes, text/plain)
2013-11-05 14:29 EST, Patrick MacArthur
no flags Details
File: proc_pid_status (889 bytes, text/plain)
2013-11-05 14:29 EST, Patrick MacArthur
no flags Details
File: var_log_messages (18.26 KB, text/plain)
2013-11-05 14:29 EST, Patrick MacArthur
no flags Details

  None (edit)
Description Patrick MacArthur 2013-11-05 14:29:00 EST
Description of problem:
1. Start with standard Fedora 19 installation
2. Uninstall Plymouth (this shouldn't matter, a similar issue existed with plymouth installed, possibly related to bug #967521, although in that case gdm didn't even get to start)
3. Regenerate initramfs using dracut to eliminate plymouth bits from initramfs
4. Reboot system until gdm hangs on startup

Once gdm hangs on startup, I switched to VT2, logged in as root, and ran "pkill -SIGABRT gdm" to generate a core dump.  This had a side effect of causing gdm to restart successfully.

Version-Release number of selected component:
gdm-3.8.4-2.fc19

Additional info:
reporter:       libreport-2.1.8
backtrace_rating: 4
cmdline:        /usr/sbin/gdm
crash_function: poll
executable:     /usr/sbin/gdm
kernel:         3.11.6-200.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 3 (6 frames)
 #0 poll at ../sysdeps/unix/syscall-template.S:81
 #1 g_main_context_poll at gmain.c:3995
 #3 g_main_context_iteration at gmain.c:3762
 #4 glib_worker_main at gmain.c:5427
 #5 g_thread_proxy at gthread.c:798
 #7 clone at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113
Comment 1 Patrick MacArthur 2013-11-05 14:29:03 EST
Created attachment 819976 [details]
File: backtrace
Comment 2 Patrick MacArthur 2013-11-05 14:29:05 EST
Created attachment 819977 [details]
File: cgroup
Comment 3 Patrick MacArthur 2013-11-05 14:29:08 EST
Created attachment 819978 [details]
File: core_backtrace
Comment 4 Patrick MacArthur 2013-11-05 14:29:10 EST
Created attachment 819979 [details]
File: dso_list
Comment 5 Patrick MacArthur 2013-11-05 14:29:13 EST
Created attachment 819980 [details]
File: environ
Comment 6 Patrick MacArthur 2013-11-05 14:29:16 EST
Created attachment 819981 [details]
File: limits
Comment 7 Patrick MacArthur 2013-11-05 14:29:19 EST
Created attachment 819982 [details]
File: maps
Comment 8 Patrick MacArthur 2013-11-05 14:29:21 EST
Created attachment 819983 [details]
File: open_fds
Comment 9 Patrick MacArthur 2013-11-05 14:29:24 EST
Created attachment 819984 [details]
File: proc_pid_status
Comment 10 Patrick MacArthur 2013-11-05 14:29:26 EST
Created attachment 819985 [details]
File: var_log_messages
Comment 11 Fedora End Of Life 2015-01-09 15:28:54 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2015-02-17 14:04:45 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.